{
    "name": "Art Room",
    "min_size": {
        "x": 5,
        "y": 5
    },
    "tile": "wooden_floor",
    "wall": {
        "texture": "basic_blue_wall",
        "texture_top": "basic_wall_top"
    },
    "only_within": "building",
    "placement_match": ["!.building_edge"],
    "base_cost": 5000,
    "cost_per_tile": 400,
    "valid_objects": [
        "@basics",
        "art/easel",
        "@teach_basics",
        "@plants",
        "@floors"
    ],
    "required_objects": {
        "doors/*": 1,
        "art/easel": 1,
        "teach_objs/projector": 1
    },
    "used_for_teaching": true,
    "requirements": [
        {
            "type": "room",
            "key": "lecture_room"
        }
    ],
    "controller": "room.art_room"
}
